BEGIN ~#Illyria~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~You see a young woman asleep on the ground. Her skin has a sickly grey sheen to it, and she has several large bruises on her face and arms. Do you want to wake Illyria up and have her join your party?~

IF ~~ THEN REPLY ~Yes.~ GOTO Join2
IF ~~ THEN REPLY ~No.~ GOTO Exit
END

IF ~~ THEN BEGIN Join2
SAY ~She smiles at you, and her smile is like the sun coming up. "Thankyou."~
IF ~~ THEN DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN Exit
SAY ~She stirs slightly, before drifting back to sleep. You can't help but feel sorry for her as you tear your gaze away.~
IF ~~ EXIT

BEGIN ~B#Illyri~

///////////////////////////////////////
//Korgan Banters
///////////////////////////////////////

CHAIN // Start a CHAIN dialogue
IF ~InParty("Korgan")
See("Korgan")
!StateCheck("Korgan",STATE_SLEEPING)
Global("LyrKorTalk","LOCALS",0)~ THEN B#Illyri LyrKorTalk1
SAY ~...woah, I think I better sit down... I feel a bit dizzy...~
DO ~SetGlobal("LyrKorTalk","LOCALS",1)~

== BKORGAN
~Hah! What's the matter girl? Can't keep up? Shall I run ye a bath and rub yer fancy feet?~
== B#Illyri
~Far from it, dwarf, my head just feels strange is all. (snort) And I don't think I'm the one in need of a bath, Korgan. You smell like the nine hells.~
== BKORGAN
~Hah! I may smell of the earth, but yeh reek of the vile flowers and mamby pamby woodland creatures that yeh protect so diligently.~
== B#Illyri
~Which is INFINATELY preferable to smelling like a horse. Wash. Soon. Please.~
== BKORGAN
~I thought you female elves would be used to the smell of a stallion, especially when he's been working up a sweat.~
== B#Illyri
~Urgh.. Stupid dwarf.. (she turns away, grumbling). Can we go now, PLEASE?!~
EXIT

///////////////////////////////////
//Viconia Banters
//////////////////////////////////

CHAIN
IF ~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
Global("LyrVicTalk","LOCALS",0)~ THEN B#Illyri LyrVicTalk1
SAY ~...woah, I think I better sit down... I feel a bit dizzy...~
DO ~SetGlobal("LyrVicTalk","LOCALS",1)~

==B#Illyri
~Viconia.. what was it like to grow up in Drow society?~
==BVICONI
~You would like to know the inner workings of Drow society? You, a half-elf barely past her adolescence? Pah! Do you not know that the Drow are sworn enemies of the Surface Elves, Illyria?~
==B#Illryi
~Of course I do, Viconia. I have always been interested by Drow culture, however... as much as it disturbs me, I would like to know more about it.~
==BVICONI
~You are an odd surface elf, are you not? Your request is quaint, yet rather amusing. Why even bother asking, elg'caress?~
==B#Illyri
~I am not like other elves, Viconia. You of all people should know this. I find Drow culture fascinating. Disgusting, but fascinating.~
==BVICONI
~Is that so? They say curiosity killed the cat. However, I will devulge some details of our ways to you, unworthy one.~
==B#Illyri
~Really? Thankyou, Viconia.~
==BVICONI
~Hah, do not thank me, half blood, until you have heard what I have to say.~
==B#Illyri
~Well.. I thank you anyway. Can you tell me ab-~
==BVICONI
~I did not say it was for you to ask - I will tell you if and when and how I feel like. Do not pester me for information.~
EXIT


END

BEGIN ~#IllyriP~

IF ~Global("IllyriaJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~You want me to leave?.~
IF ~~ THEN REPLY ~Oh, I'm sorry, I didn't mean leave.. ~ DO ~JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ DO ~SetGlobal("IllyriaJoined","LOCALS",0)~ EXIT
END

IF ~Global("Illyria","LOCALS",0)~ THEN BEGIN Rejoin
SAY ~You want me to rejoin?~
IF ~~ THEN REPLY ~Of course I do - I shouldn't have kicked you out in the first place!.~ DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ EXIT
END

